Define & Validate APIsValidation RulesetsOpenAPI Rulesets

OpenAPI v3 Syntax Linting for APIMatic Portal Generation

Syntax linting checks performed by APIMatic on provided OpenAPI v3 file to check its conformance to recommended practices for a more user-friendly API documentation.

PropertyValue
Ruleset IDopenapi-v3-docsgen-syntax-linting
Code prefixOPENAPI3DOCSGENSYNTAX_L
TypeLinting
Default severityWarning
Rule systemSyntax
Rules31

OpenAPI Info

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L050no-trailing-leading-spaces-in-info-descriptionWarningDescription of an Info Object should not contain any leading or trailing white-space characters.

OpenAPI Servers

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L150no-trailing-leading-spaces-in-environment-descriptionWarningDescription of an environment object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L151no-trailing-leading-spaces-in-server-descriptionWarningDescription of an server object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L152no-trailing-leading-spaces-in-server-variable-descriptionWarningDescription of a server variable object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L153no-trailing-leading-spaces-in-server-parameter-descriptionWarningDescription of a server parameter object should not contain any leading or trailing white-space characters.

OpenAPI Path Items

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L240no-trailing-leading-spaces-in-path-item-descriptionWarningDescription of an Path Item Object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L241no-trailing-leading-spaces-in-path-item-summaryWarningSummary of an Path Item Object should not contain any leading or trailing white-space characters.

OpenAPI Operations

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L300no-trailing-leading-spaces-in-operation-descriptionWarningDescription of an Operation Object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L301no-trailing-leading-spaces-in-operation-summaryWarningOperation Object summary should not contain any leading or trailing white-space characters.

OpenAPI Operation Test Cases

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L350no-trailing-leading-spaces-in-test-case-descriptionWarningDescription of an Unit Test Object should not contain any leading or trailing white-space characters.

OpenAPI External Documentation

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L360no-trailing-leading-spaces-in-external-documentation-descriptionWarningDescription of an external documentation object should not contain any leading or trailing white-space characters.

OpenAPI Parameters

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L380no-trailing-leading-spaces-in-parameter-descriptionWarningDescription of a Parameter Object must not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L381no-trailing-leading-spaces-in-parameter-exampleWarningParameter Object example should not contain any leading or trailing white-space characters.

OpenAPI Request Body

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L430no-trailing-leading-spaces-in-request-body-descriptionWarningDescription of a request body object should not contain any leading or trailing white-space characters.

OpenAPI Media Types

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L460no-trailing-leading-spaces-in-media-type-exampleWarningMedia type example should not contain any leading or trailing white-space characters.

OpenAPI Responses

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L520no-trailing-leading-spaces-in-response-descriptionWarningDescription of an Response Object should not contain any leading or trailing white-space characters.

OpenAPI Examples

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L590no-trailing-leading-spaces-in-example-descriptionWarningDescription of an example Object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L591no-trailing-leading-spaces-in-example-summaryWarningSummary of an example object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L592no-trailing-leading-spaces-in-example-valueWarningAn example value should not contain any leading or trailing white-space characters.
CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L640no-trailing-leading-spaces-in-link-descriptionWarningDescription of Link Object should not contain any leading or trailing white-space characters.

OpenAPI Headers

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L660no-trailing-leading-spaces-in-header-descriptionWarningDescription of Header Object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L661no-trailing-leading-spaces-in-header-exampleWarningHeader object example should not contain any leading or trailing white-space characters.

OpenAPI Tags

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L710no-trailing-leading-spaces-in-tag-descriptionWarningDescription of Tag Object should not contain any leading or trailing white-space characters.

OpenAPI Schemas

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L750no-trailing-leading-spaces-in-schema-descriptionWarningDescription of Schema Object should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L751no-trailing-leading-spaces-in-one-of-cases-meta-descriptionWarningDescription of Schema oneOf cases meta extension should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L752no-trailing-leading-spaces-in-any-of-cases-meta-descriptionWarningDescription of Schema anyOf cases meta extension should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L753no-trailing-leading-spaces-in-schema-exampleWarningSchema Object example should not contain any leading or trailing white-space characters.

OpenAPI Security Schemes

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L840no-trailing-leading-spaces-in-security-scheme-descriptionWarningSecurity Scheme description should not contain any leading or trailing white-space characters.
OPENAPI3DOCSGENSYNTAX_L841no-trailing-leading-spaces-in-additional-header-descriptionWarningAdditional header description should not contain any leading or trailing white-space characters.

OpenAPI OAuth 2.0 Flows

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L870no-trailing-leading-spaces-in-oauth-flow-scope-descriptionWarningScope value of an OAuth Flow Object should not contain any leading or trailing white-space characters.

OpenAPI Security Requirements

CodeRuleSeverityWhat it checks
OPENAPI3DOCSGENSYNTAX_L880no-trailing-leading-spaces-in-security-options-meta-descriptionWarningSecurity Options Meta description should not contain any leading or trailing white-space characters.

Learn more

On this page